Bug 1795360 - Review Request: dhcpd-pools - ISC dhcpd lease analysis and reporting
Summary: Review Request: dhcpd-pools - ISC dhcpd lease analysis and reporting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1811447
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-27 18:41 UTC by Chris Adams
Modified: 2020-05-12 03:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-05 03:13:33 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Chris Adams 2020-01-27 18:41:46 UTC
Spec URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools.spec
SRPM URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools-3.0-1.fc31.src.rpm
Description: This is for ISC DHCP shared network and pool range usage analysis.  Purpose
of command is to count usage ratio of each IP range and shared network pool
which ISC dhcpd is in control of. Users of the command are most likely ISPs
and other organizations that have large IP space.

Fedora Account System Username: cmadams

Comment 1 Robert-André Mauchin 🐧 2020-03-08 19:55:49 UTC
 - make install DESTDIR=%{buildroot} → %make_install

 - the license file COPYING must be installed with %license not %doc 

%license COPYING
%doc README THANKS TODO AUTHORS ChangeLog

 - Just use:

%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/%{name}/


 - Build fails:

+ autoreconf -fiv
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force -I m4
configure.ac:75: error: AC_REQUIRE(gl_COMPILER_PREPARE_CHECK_DECL): cannot be used outside of an AC_DEFUN'd macro
configure.ac:75: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1

Comment 2 Chris Adams 2020-03-09 16:04:59 UTC
Thanks for taking a look. I've fixed the %files and %make_install notes.

I've added a temporary patch for the gnulib issue (if that's acceptable - it'll have to be removed once gnulib is fixed or this will fail to rebuild), and then found that gnulib also needs -std=c99 on EPEL7.

Spec URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools.spec
SRPM URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools-3.0-2.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-03-24 18:54:31 UTC
 - That's not how you add a Patch:

Patch0:		dhcpd-pools-gnulib.patch

[…]

%prep
%setup -q
# needed to handle gnulib/glibc compatibility
gnulib-tool --update
gnulib-tool --add-import

# handle http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=commit;h=ba4b91abd5dbe486c71465b0968aa1a4a1198bd7
%patch0 -p1

%build

 - Provides: bundled(gnulib) in place as required.
  Note: Bundled gnulib but no Provides: bundled(gnulib)
  See:
  https://fedoraproject.org/wiki/Bundled_Libraries#Requirement_if_you_bundle


 - License is not good: the lib part is under GPLv3+ and src/mustach.* under ASL 2.0. Please add them to the License: field and add a comment explaning the license breakdown.


Apache License 2.0
------------------
dhcpd-pools-3.0/src/mustach.c
dhcpd-pools-3.0/src/mustach.h

BSD 2-clause "Simplified" License
---------------------------------
dhcpd-pools-3.0/COPYING
dhcpd-pools-3.0/doc/introduction.dox
dhcpd-pools-3.0/src/analyze.c
dhcpd-pools-3.0/src/dhcpd-pools.c
dhcpd-pools-3.0/src/dhcpd-pools.h
dhcpd-pools-3.0/src/getdata.c
dhcpd-pools-3.0/src/hash.c
dhcpd-pools-3.0/src/mustach-dhcpd-pools.c
dhcpd-pools-3.0/src/other.c
dhcpd-pools-3.0/src/output.c
dhcpd-pools-3.0/src/sort.c

GPL (v3 or later)
-----------------
dhcpd-pools-3.0/lib/alloca.in.h
dhcpd-pools-3.0/lib/arg-nonnull.h
dhcpd-pools-3.0/lib/arpa_inet.in.h
dhcpd-pools-3.0/lib/basename-lgpl.c
dhcpd-pools-3.0/lib/c++defs.h
dhcpd-pools-3.0/lib/c-ctype.h
dhcpd-pools-3.0/lib/c-strcase.h
dhcpd-pools-3.0/lib/c-strcasecmp.c
dhcpd-pools-3.0/lib/c-strcaseeq.h
dhcpd-pools-3.0/lib/c-strncasecmp.c
dhcpd-pools-3.0/lib/close-stream.c
dhcpd-pools-3.0/lib/close.c
dhcpd-pools-3.0/lib/closeout.c
dhcpd-pools-3.0/lib/closeout.h
dhcpd-pools-3.0/lib/config.charset
dhcpd-pools-3.0/lib/dirname-lgpl.c
dhcpd-pools-3.0/lib/dirname.h
dhcpd-pools-3.0/lib/dosname.h
dhcpd-pools-3.0/lib/errno.in.h
dhcpd-pools-3.0/lib/error.c
dhcpd-pools-3.0/lib/error.h
dhcpd-pools-3.0/lib/exitfail.c
dhcpd-pools-3.0/lib/exitfail.h
dhcpd-pools-3.0/lib/fclose.c
dhcpd-pools-3.0/lib/fcntl.in.h
dhcpd-pools-3.0/lib/fd-hook.c
dhcpd-pools-3.0/lib/fd-hook.h
dhcpd-pools-3.0/lib/fdopen.c
dhcpd-pools-3.0/lib/fflush.c
dhcpd-pools-3.0/lib/filename.h
dhcpd-pools-3.0/lib/flexmember.h
dhcpd-pools-3.0/lib/float+.h
dhcpd-pools-3.0/lib/float.c
dhcpd-pools-3.0/lib/float.in.h
dhcpd-pools-3.0/lib/fopen.c
dhcpd-pools-3.0/lib/fpending.c
dhcpd-pools-3.0/lib/fpending.h
dhcpd-pools-3.0/lib/fpurge.c
dhcpd-pools-3.0/lib/freading.c
dhcpd-pools-3.0/lib/freading.h
dhcpd-pools-3.0/lib/fseek.c
dhcpd-pools-3.0/lib/fseeko.c
dhcpd-pools-3.0/lib/fstat.c
dhcpd-pools-3.0/lib/ftell.c
dhcpd-pools-3.0/lib/ftello.c
dhcpd-pools-3.0/lib/getopt-cdefs.in.h
dhcpd-pools-3.0/lib/getopt-core.h
dhcpd-pools-3.0/lib/getopt-ext.h
dhcpd-pools-3.0/lib/getopt-pfx-core.h
dhcpd-pools-3.0/lib/getopt-pfx-ext.h
dhcpd-pools-3.0/lib/getopt.c
dhcpd-pools-3.0/lib/getopt.in.h
dhcpd-pools-3.0/lib/getopt1.c
dhcpd-pools-3.0/lib/getopt_int.h
dhcpd-pools-3.0/lib/getprogname.c
dhcpd-pools-3.0/lib/getprogname.h
dhcpd-pools-3.0/lib/gettext.h
dhcpd-pools-3.0/lib/hard-locale.c
dhcpd-pools-3.0/lib/hard-locale.h
dhcpd-pools-3.0/lib/intprops.h
dhcpd-pools-3.0/lib/isnan.c
dhcpd-pools-3.0/lib/isnand.c
dhcpd-pools-3.0/lib/isnanf.c
dhcpd-pools-3.0/lib/isnanl.c
dhcpd-pools-3.0/lib/itold.c
dhcpd-pools-3.0/lib/limits.in.h
dhcpd-pools-3.0/lib/localcharset.c
dhcpd-pools-3.0/lib/localcharset.h
dhcpd-pools-3.0/lib/localtime-buffer.c
dhcpd-pools-3.0/lib/localtime-buffer.h
dhcpd-pools-3.0/lib/lseek.c
dhcpd-pools-3.0/lib/malloc.c
dhcpd-pools-3.0/lib/malloca.c
dhcpd-pools-3.0/lib/malloca.h
dhcpd-pools-3.0/lib/math.in.h
dhcpd-pools-3.0/lib/mbrtowc.c
dhcpd-pools-3.0/lib/mbsinit.c
dhcpd-pools-3.0/lib/memchr.c
dhcpd-pools-3.0/lib/minmax.h
dhcpd-pools-3.0/lib/mktime-internal.h
dhcpd-pools-3.0/lib/mktime.c
dhcpd-pools-3.0/lib/msvc-inval.c
dhcpd-pools-3.0/lib/msvc-inval.h
dhcpd-pools-3.0/lib/msvc-nothrow.c
dhcpd-pools-3.0/lib/msvc-nothrow.h
dhcpd-pools-3.0/lib/netinet_in.in.h
dhcpd-pools-3.0/lib/nstrftime.c
dhcpd-pools-3.0/lib/pathmax.h
dhcpd-pools-3.0/lib/progname.c
dhcpd-pools-3.0/lib/progname.h
dhcpd-pools-3.0/lib/quote.h
dhcpd-pools-3.0/lib/quotearg.c
dhcpd-pools-3.0/lib/quotearg.h
dhcpd-pools-3.0/lib/realloc.c
dhcpd-pools-3.0/lib/ref-add.sin
dhcpd-pools-3.0/lib/ref-del.sin
dhcpd-pools-3.0/lib/setenv.c
dhcpd-pools-3.0/lib/stat-w32.c
dhcpd-pools-3.0/lib/stat-w32.h
dhcpd-pools-3.0/lib/stat.c
dhcpd-pools-3.0/lib/stdalign.in.h
dhcpd-pools-3.0/lib/stdbool.in.h
dhcpd-pools-3.0/lib/stddef.in.h
dhcpd-pools-3.0/lib/stdint.in.h
dhcpd-pools-3.0/lib/stdio-impl.h
dhcpd-pools-3.0/lib/stdio.in.h
dhcpd-pools-3.0/lib/stdlib.in.h
dhcpd-pools-3.0/lib/stpncpy.c
dhcpd-pools-3.0/lib/str-two-way.h
dhcpd-pools-3.0/lib/strdup.c
dhcpd-pools-3.0/lib/streq.h
dhcpd-pools-3.0/lib/strerror-override.c
dhcpd-pools-3.0/lib/strerror-override.h
dhcpd-pools-3.0/lib/strerror.c
dhcpd-pools-3.0/lib/strftime.h
dhcpd-pools-3.0/lib/string.in.h
dhcpd-pools-3.0/lib/stripslash.c
dhcpd-pools-3.0/lib/strstr.c
dhcpd-pools-3.0/lib/strtod.c
dhcpd-pools-3.0/lib/sys_socket.in.h
dhcpd-pools-3.0/lib/sys_stat.in.h
dhcpd-pools-3.0/lib/sys_types.in.h
dhcpd-pools-3.0/lib/sys_uio.in.h
dhcpd-pools-3.0/lib/time-internal.h
dhcpd-pools-3.0/lib/time.in.h
dhcpd-pools-3.0/lib/time_r.c
dhcpd-pools-3.0/lib/time_rz.c
dhcpd-pools-3.0/lib/timegm.c
dhcpd-pools-3.0/lib/tzset.c
dhcpd-pools-3.0/lib/unistd.in.h
dhcpd-pools-3.0/lib/unsetenv.c
dhcpd-pools-3.0/lib/unused-parameter.h
dhcpd-pools-3.0/lib/verify.h
dhcpd-pools-3.0/lib/warn-on-use.h
dhcpd-pools-3.0/lib/wchar.in.h
dhcpd-pools-3.0/lib/wctype.in.h
dhcpd-pools-3.0/lib/xalloc-die.c
dhcpd-pools-3.0/lib/xalloc-oversized.h
dhcpd-pools-3.0/lib/xalloc.h
dhcpd-pools-3.0/lib/xmalloc.c

 - Convert this file to UTF-8:

dhcpd-pools.x86_64: W: file-not-utf8 /usr/share/doc/dhcpd-pools/THANKS


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Provides: bundled(gnulib) in place as required.
  Note: Bundled gnulib but no Provides: bundled(gnulib)
  See:
  https://fedoraproject.org/wiki/Bundled_Libraries#Requirement_if_you_bundle


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "FSF All Permissive License", "Expat License", "GPL (v3 or later)",
     "ISC License GPL (v3 or later)", "FSF Unlimited License (with
     Retention)", "FSF Unlimited License (with Retention) GNU General
     Public License (v2)", "Apache License 2.0". 140 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/dhcpd-pools/review-dhcpd-
     pools/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dhcpd-pools-3.0-2.fc33.x86_64.rpm
          dhcpd-pools-debuginfo-3.0-2.fc33.x86_64.rpm
          dhcpd-pools-debugsource-3.0-2.fc33.x86_64.rpm
          dhcpd-pools-3.0-2.fc33.src.rpm
dhcpd-pools.x86_64: W: file-not-utf8 /usr/share/doc/dhcpd-pools/THANKS
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 4 Chris Adams 2020-03-30 22:03:43 UTC
(In reply to Robert-André Mauchin from comment #3)
>  - That's not how you add a Patch:

Yeah, sorry, that was a quick/dirty way to keep active things in %build. I've moved it.

I also conditionalized the gnulib update and gnulib-devel dependency; the RPM isn't in EPEL6, but I found that the bundled version builds okay there. Please let me know if that looks okay to you (it builds okay for me on Fedora 31/32/rawhide and EPEL6/7/8).

>  - Provides: bundled(gnulib) in place as required.
>   Note: Bundled gnulib but no Provides: bundled(gnulib)

Oops, missed that. I wasn't thinking about it being bundled (since I'm updating it).

>  - License is not good: the lib part is under GPLv3+ and src/mustach.* under
> ASL 2.0. Please add them to the License: field and add a comment explaning
> the license breakdown.

Yeah, I just checked the main license, didn't inspect. Updated.

>  - Convert this file to UTF-8:
> 
> dhcpd-pools.x86_64: W: file-not-utf8 /usr/share/doc/dhcpd-pools/THANKS

Ah, that was something I hadn't done before. Fixed.

New upload:

Spec URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools.spec
SRPM URL: https://cmadams.fedorapeople.org/dhcpd-pools/dhcpd-pools-3.0-3.fc31.src.rpm

Comment 5 Robert-André Mauchin 🐧 2020-03-31 15:06:06 UTC
Package approved.

Comment 6 Gwyn Ciesla 2020-04-26 18:18:46 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/dhcpd-pools

Comment 7 Fedora Update System 2020-04-26 20:50:48 UTC
FEDORA-2020-a7ab46634f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a7ab46634f

Comment 8 Fedora Update System 2020-04-26 20:51:28 UTC
FEDORA-2020-edc99fcaa0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-edc99fcaa0

Comment 9 Fedora Update System 2020-04-26 20:59:54 UTC
FEDORA-2020-c3c6deda56 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3c6deda56

Comment 10 Fedora Update System 2020-04-26 21:04:59 UTC
FEDORA-EPEL-2020-6c81119e4a has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6c81119e4a

Comment 11 Fedora Update System 2020-04-26 21:11:20 UTC
FEDORA-EPEL-2020-e4f3a45115 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e4f3a45115

Comment 12 Fedora Update System 2020-04-26 21:20:53 UTC
FEDORA-EPEL-2020-650b6557cd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-650b6557cd

Comment 13 Fedora Update System 2020-04-27 05:11:40 UTC
FEDORA-2020-a7ab46634f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a7ab46634f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a7ab46634f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2020-04-27 05:22:22 UTC
FEDORA-2020-edc99fcaa0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-edc99fcaa0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-edc99fcaa0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-04-27 05:50:21 UTC
FEDORA-2020-c3c6deda56 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c3c6deda56 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c3c6deda56

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-04-27 06:13:53 UTC
FEDORA-EPEL-2020-e4f3a45115 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-e4f3a45115

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-04-27 06:14:00 UTC
FEDORA-EPEL-2020-650b6557cd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-650b6557cd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2020-04-27 06:30:50 UTC
FEDORA-EPEL-2020-6c81119e4a has been pushed to the Fedora EPEL 6 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6c81119e4a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2020-05-05 03:13:33 UTC
FEDORA-2020-c3c6deda56 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-05-05 05:35:28 UTC
FEDORA-2020-edc99fcaa0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 21 Fedora Update System 2020-05-05 07:53:20 UTC
FEDORA-2020-a7ab46634f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 22 Fedora Update System 2020-05-12 00:55:48 UTC
FEDORA-EPEL-2020-e4f3a45115 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2020-05-12 02:13:49 UTC
FEDORA-EPEL-2020-650b6557cd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Fedora Update System 2020-05-12 03:23:17 UTC
FEDORA-EPEL-2020-6c81119e4a has been pushed to the Fedora EPEL 6 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.